# Linux-Mandrake configuration: Chmouel Boudjnah <chmouel@mandrakesoft.com>
#
# Common Aliases for a system.
#
# The Semantic is :
#	If exist a ~/.alias and the user hasn't specified a
#	LOAD_SYSTEM_ALIAS variables then don't do any system aliases
#	If there is no ~/.alias but the user has specified a
#	IGNORE_SYSTEM_ALIASES then don't do any system aliases.

[[ -f ~/.alias ]] && [[ -z $LOAD_SYSTEM_ALIASES ]] && return 0
[[ -n $IGNORE_SYSTEM_ALIASES ]] && return 0

[ -e /etc/sysconfig/system ] && . /etc/sysconfig/system

alias d="ls"                                                  
alias l="ls"       		# classical listing.
alias ll="ls -l -k"   		# List detailled. 
alias la='ls -a'     	# List all.               
alias lsd="ls -d */"		# List only the directory.
alias cd..="cd .."		
alias s="cd .."
alias p="cd -"

alias md="mkdir"
alias rd="rmdir"
alias cp="cp -i"
alias mv="mv -i"
alias rm="rm -i"

# Make a filter for less
if [ -x /usr/bin/lesspipe.sh ];then
     export LESSOPEN="|/usr/bin/lesspipe.sh %s"
fi

if [ -n "$CLASS" -a "$CLASS" = "beginner" ];then
# Size of a directory (by default Human Readable).
    alias du='du -h'                              
                                              
# Size of a disk (by default Human Readable). 
# and don't probe supermount
    alias df='df -h -x supermount'

    if /usr/bin/DrakWM -a 2>/dev/null >/dev/null;then
	eval `/usr/bin/DrakWM -a`
    fi
fi
